#version 140

in vec2 v_tex_coord;
in vec4 v_color;

out vec4 frag_color;

uniform sampler2D tex;

void main() {
	frag_color = vec4(texture(tex, v_tex_coord).a, 0, 0, 1);
	vec4 c = v_color;
	c.a = texture(tex, v_tex_coord).r;
	if (c.a <= 0.01) {
		discard;
	} else {
		frag_color = c;
	}
}
